SuSE 10 Security Update : expat (ZYPP Patch Number 8015)

Medium Nessus Plugin ID 59639


The remote SuSE 10 host is missing a security-related patch.


The following issues have been fixed :

- expat was prone to a hash collision attack that could lead to excessive CPU usage. (CVE-2012-0876)

- expat didn't close file descriptors in some cases.

- specially crafted XML files could lead to a memory leak.


Apply ZYPP patch number 8015.

See Also

Plugin Details

Severity: Medium

ID: 59639

File Name: suse_expat-8015.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2012/06/21

Modified: 2012/07/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/04/25

Reference Information

CVE: CVE-2012-0876, CVE-2012-1147, CVE-2012-1148